<template>
	<list-files
		ref="modalListDocsEscan"
		@lastDocEscanRemoved="lastDocEscanRemoved"
	/>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { Titulo } from "@/entities/Titulo";
//import http from "@/http";
import { mapStores } from "pinia";
import { useTitulosStore } from "@/stores/titulos";
//import type { DocEscanTipo as DocEscanTipoType } from "@/entities/DocEscanTipo";
//import { DocEscanTipo } from "@/entities/DocEscanTipo";

export default defineComponent({
	name: "ListDocsEscan",
	props: {
		titulo: {
			type: Titulo,
			required: false,
			default: undefined,
		},
	},
	computed: {
		...mapStores(useTitulosStore),
	},
	methods: {
		show() {
			const refs: any = this.$refs;
			const list_config = {
				title: "Listado de documentos escaneados",
			};
			const sp_params = {
				id_rel_tabla_reg: this.titulo?.id_rel_tabla_reg,
			};
			refs.modalListDocsEscan.show(list_config, sp_params);
		},
		lastDocEscanRemoved() {
			this.titulo!.id_rel_tabla_reg = null;
			this.titulosStore.updateTitulo(this.titulo!);
		},
	},
});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
